<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>ProgramElementDoc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/programelementdoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\ProgramElementDoc</div>
<a href="../source/classes/programelementdoc.php.html#line28" class="location">classes/programElementDoc.php at line 28</a>

<h1>Class ProgramElementDoc</h1>

<pre class="tree"><a href="../phpdoctor/doc.html">Doc</a><br>    └─<strong>ProgramElementDoc</strong><br /></pre>

<hr>

<p class="signature">public abstract  class <strong>ProgramElementDoc</strong><br>extends <a href="../phpdoctor/doc.html">Doc</a>

</p>

<div class="comment" id="overview_description"><p>Represents a PHP program element: global, function, class, interface,
field, constructor, or method. This is an abstract class dealing with
information common to these elements.</p></div>

<hr>

<table class="inherit">
<tr><th colspan="2">Fields inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#inBody">inBody</a></td></tr></table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#asPath()">asPath</a>()</p><p class="description">Return the element path.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc</a></td>
<td class="description"><p class="name"><a href="#containingClass()">containingClass</a>()</p><p class="description">Get the containing class of this program element. </p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/packagedoc.html">PackageDoc</a></td>
<td class="description"><p class="name"><a href="#containingPackage()">containingPackage</a>()</p><p class="description">Get the package that this program element is contained in.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isFinal()">isFinal</a>()</p><p class="description">Return true if this program element is final.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isPrivate()">isPrivate</a>()</p><p class="description">Return true if this program element is private.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isProtected()">isProtected</a>()</p><p class="description">Return true if this program element is protected.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isPublic()">isPublic</a>()</p><p class="description">Return true if this program element is public.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isStatic()">isStatic</a>()</p><p class="description">Return true if this program element is static.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#location()">location</a>()</p><p class="description">Get the source location of this element</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#makePrivate()">makePrivate</a>()</p><p class="description">Set element to have private access</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#makeProtected()">makeProtected</a>()</p><p class="description">Set element to have protected access</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#makePublic()">makePublic</a>()</p><p class="description">Set element to have public access</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#modifiers()">modifiers</a>(bool showPublic)</p><p class="description">Get modifiers string.
</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#packageName()">packageName</a>()</p><p class="description">Get the name of the package that this program element is contained in.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#qualifiedName()">qualifiedName</a>()</p><p class="description">Get the fully qualified name.
</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#sourceFilename()">sourceFilename</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#sourceLine()">sourceLine</a>()</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#getHTMLContents()">getHTMLContents</a>, <a href="../phpdoctor/doc.html#getRawCommentText()">getRawCommentText</a>, <a href="../phpdoctor/doc.html#isClass()">isClass</a>, <a href="../phpdoctor/doc.html#isConstructor()">isConstructor</a>, <a href="../phpdoctor/doc.html#isException()">isException</a>, <a href="../phpdoctor/doc.html#isField()">isField</a>, <a href="../phpdoctor/doc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/doc.html#isFunction()">isFunction</a>, <a href="../phpdoctor/doc.html#isGlobal()">isGlobal</a>, <a href="../phpdoctor/doc.html#isInterface()">isInterface</a>, <a href="../phpdoctor/doc.html#isMethod()">isMethod</a>, <a href="../phpdoctor/doc.html#isOrdinaryClass()">isOrdinaryClass</a>, <a href="../phpdoctor/doc.html#mergeData()">mergeData</a>, <a href="../phpdoctor/doc.html#name()">name</a>, <a href="../phpdoctor/doc.html#set()">set</a>, <a href="../phpdoctor/doc.html#setByRef()">setByRef</a>, <a href="../phpdoctor/doc.html#setTag()">setTag</a>, <a href="../phpdoctor/doc.html#tags()">tags</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/programelementdoc.php.html#line255" class="location">classes/programElementDoc.php at line 255</a>

<h3 id="asPath()">asPath</h3>
<code class="signature">public  str <strong>asPath</strong>()</code>
<div class="details">
<p>Return the element path.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line102" class="location">classes/programElementDoc.php at line 102</a>

<h3 id="containingClass()">containingClass</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc</a> <strong>containingClass</strong>()</code>
<div class="details">
<p>Get the containing class of this program element. If the element is in
the global scope and does not have a parent class, this will return null.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line115" class="location">classes/programElementDoc.php at line 115</a>

<h3 id="containingPackage()">containingPackage</h3>
<code class="signature">public  <a href="../phpdoctor/packagedoc.html">PackageDoc</a> <strong>containingPackage</strong>()</code>
<div class="details">
<p>Get the package that this program element is contained in.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line217" class="location">classes/programElementDoc.php at line 217</a>

<h3 id="isFinal()">isFinal</h3>
<code class="signature">public  bool <strong>isFinal</strong>()</code>
<div class="details">
<p>Return true if this program element is final.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line204" class="location">classes/programElementDoc.php at line 204</a>

<h3 id="isPrivate()">isPrivate</h3>
<code class="signature">public  bool <strong>isPrivate</strong>()</code>
<div class="details">
<p>Return true if this program element is private.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line191" class="location">classes/programElementDoc.php at line 191</a>

<h3 id="isProtected()">isProtected</h3>
<code class="signature">public  bool <strong>isProtected</strong>()</code>
<div class="details">
<p>Return true if this program element is protected.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line178" class="location">classes/programElementDoc.php at line 178</a>

<h3 id="isPublic()">isPublic</h3>
<code class="signature">public  bool <strong>isPublic</strong>()</code>
<div class="details">
<p>Return true if this program element is public.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line226" class="location">classes/programElementDoc.php at line 226</a>

<h3 id="isStatic()">isStatic</h3>
<code class="signature">public  bool <strong>isStatic</strong>()</code>
<div class="details">
<p>Return true if this program element is static.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line235" class="location">classes/programElementDoc.php at line 235</a>

<h3 id="location()">location</h3>
<code class="signature">public  str <strong>location</strong>()</code>
<div class="details">
<p>Get the source location of this element</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line92" class="location">classes/programElementDoc.php at line 92</a>

<h3 id="makePrivate()">makePrivate</h3>
<code class="signature">public  void <strong>makePrivate</strong>()</code>
<div class="details">
<p>Set element to have private access</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line86" class="location">classes/programElementDoc.php at line 86</a>

<h3 id="makeProtected()">makeProtected</h3>
<code class="signature">public  void <strong>makeProtected</strong>()</code>
<div class="details">
<p>Set element to have protected access</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line80" class="location">classes/programElementDoc.php at line 80</a>

<h3 id="makePublic()">makePublic</h3>
<code class="signature">public  void <strong>makePublic</strong>()</code>
<div class="details">
<p>Set element to have public access</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line156" class="location">classes/programElementDoc.php at line 156</a>

<h3 id="modifiers()">modifiers</h3>
<code class="signature">public  str <strong>modifiers</strong>(bool showPublic)</code>
<div class="details">
<p>Get modifiers string.</p><p><pre> Example, for:
public abstract int foo() { ... }
modifiers() would return:
'public abstract'</pre></p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line124" class="location">classes/programElementDoc.php at line 124</a>

<h3 id="packageName()">packageName</h3>
<code class="signature">public  str <strong>packageName</strong>()</code>
<div class="details">
<p>Get the name of the package that this program element is contained in.</p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line137" class="location">classes/programElementDoc.php at line 137</a>

<h3 id="qualifiedName()">qualifiedName</h3>
<code class="signature">public  str <strong>qualifiedName</strong>()</code>
<div class="details">
<p>Get the fully qualified name.</p><p><pre>Example:
for the method bar() in class Foo in the package Baz, return:
Baz\Foo\bar()</pre></p></div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line240" class="location">classes/programElementDoc.php at line 240</a>

<h3 id="sourceFilename()">sourceFilename</h3>
<code class="signature">public  void <strong>sourceFilename</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../source/classes/programelementdoc.php.html#line246" class="location">classes/programElementDoc.php at line 246</a>

<h3 id="sourceLine()">sourceLine</h3>
<code class="signature">public  void <strong>sourceLine</strong>()</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/programelementdoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>